//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_UUID_H
#define ESC_UUID_H

#include <stdint.h> //uint8_t
#include <stddef.h> //size_t

#if defined(_WIN32) && defined(UUID_DEFINED)
#undef uuid_t
#endif

typedef struct st_uuid uuid_t;

uuid_t* uuid_create();
void uuid_destroy(uuid_t* uuid);
uuid_t* uuid_from(const uint8_t *src, size_t size);
uuid_t* uuid_copy(uuid_t* other);
int uuid_compare(uuid_t* left, uuid_t* right);
const char* uuid_format(uuid_t* uuid, char *buffer, size_t len);

#endif //ESC_UUID_H
